dpkg-buildpackage(1)

NAZWA
dpkg-buildpackage - buduje pakiety źródłowe lub binarne ze źródeł

SKŁADNIA
dpkg-buildpackage [opcje]

OPIS
dpkg-buildpackage jest skryptem kontrolnym, którego można użyć do zautomatyzowania budowania pakietu.

OPCJE

-b  Określa budowanie tylko pakietów binarnych, żadne pliki źródłowe nie będą budowane ani dystrybuowane

-B  Określa budowanie tylko pakietów binarnych, bez dystrybuowania żadnych pakietów binarnych niezależnych od architektury.

-S  Określa budowanie tylko pakietów źródłowych, bez budowania pakietów binarnych.

Opcje -sx określają, czy do wydania dołączane są oryginalne pliki źródłowe, jeżeli zostanie wygenerowany choć jeden z nich (tj. nie użyto opcji -b lub -B).

-si Domyślnie lub jeśli to określono, oryginalne źródła będą dołączone tylko jeśli numer oryginalnej wersji autora programu (tzn. wersja bez epoki i bez numeru rewizji Debiana) różni się od numeru wersji autora programu z poprzedniego wpisu dziennika zmian.

-sa Wymusza dołączenie oryginalnych źródeł.

-sd Wymusza pominięcie oryginalnych źródeł i dołączenie tylko pliku różnic (diff).

-aarchitektura
    Określa architekturę Debiana dla której jest budowany pakiet. Architektura komputera, na której jest budowany pakiet, jest określana automatycznie i stanowi również domyślną architekturę docelową. Jeśli architektura docelowa różni się od architektury używanej podczas budowania (jak ma to miejsce przy kompilacji skrośnej), oraz jeśli zmienna środowiska PKG_CONFIG_LIBDIR nie jest ustawiona, wtedy jest ustawiana na wartość nadającą się do kompilacji skrośnej ("/usr/typ-systemu-gnu/lib/pkgconfig/:/usr/share/pkgconfig").

-ttyp-systemu-gnu
    Określa typ systemu GNU, dla którego budujemy. Może być użyte zamiast -a lub jako uzupełnienie do nadpisania domyślnego typu systemu GNU docelowej architektury Debiana.

-jzadania
    Liczba zadań, które mogą zostać równocześnie uruchomione, odpowiednik opcji make(1) o tej samej nazwie. Dodaje się do zmiennej środowiskowej MAKEFLAGS, co powinno spowodować, że wszystkie kolejne wywołania programu make odziedziczą tę opcję. Także dodaje parallel=zadania do zmiennej środowiskowej DEB_BUILD_OPTIONS, co pozwala plikom debian/rules na korzystanie z tej informacji dla ich własnych celów.Wartość parallel=zadania zmiennej środowiska DEB_BUILD_OPTIONS nadpisze wartość przekazaną w opcji -j, jeśli ją podano.

-vwersja
    Używa informacji z dziennika zmian ze wszystkich wersji późniejszych niż wersja.

-Copis_zmian
    Czyta opis zmian z pliku opis_zmian, zamiast używać informacji z dziennika zmian z katalogu ze źródłami.

-madres opiekuna
    Używa adresu_opiekuna jako nazwy i adresu e-mail opiekuna tego pakietu, zamiast pobierać te wartości z pliku kontrolnego z katalogu ze źródłami.

-eadres_opiekuna
    Używa adresu_opiekuna jako nazwy i adresu e-mail opiekuna tego wydania, zamiast pobierać te wartości z dziennika zmian z katalogu ze źródłami.

-D  Sprawdza zależności i konflikty czasu budowania, przerywa działanie z błędem, jeżeli nie będą spełnione.

-d  Nie sprawdza zależności czasu budowania ani konfliktów.

-E  Przekształca pewne ostrzeżenia w błędy. Tylko dpkg-source używa tej opcji, jednakże dpkg-buildpackage rozpoznaje ją i przekazuje niezmienioną do dpkg-source.

-W  Neguje poprzednio ustawione -E. Tylko dpkg-source używa tej opcji, jednakże dpkg-buildpackage rozpoznaje ją i przekazuje niezmienioną do dpkg-source.

-nc Nie czyści katalogu ze źródłami (implikuje -b).

-tc Po zbudowaniu pakietu czyści katalog ze źródłami (używając gain-root-command debian/rules clean).

-rpolecenie-uzyskiwania-praw-administratora
    Kiedy dpkg-buildpackage potrzebuje wykonać część procesu budowania jako administrator, poprzedza wykonywane polecenia poleceniem-uzyskiwania-praw-administratora, jeśli takowe zostało podane. Jeśli natomiast nie zostało podane, zostanie domyślnie użyte polecenie fakeroot, o ile jest dostępne. polecenie-uzyskiwania-praw-administratora powinno zaczynać się nazwą programu dostępnego przez zmienną systemową PATH, któremu będą przekazywane argumenty w postaci właściwego programu do wykonania oraz jego parametrów. polecenie-uzyskiwania-praw-administratora może samo zawierać parametry (muszą być one rozdzielone spacjami), ale nie może zawierać metaznaków powłoki. poleceniem-uzyskiwania-praw-administratora mogą typowo być fakeroot, sudo, super lub really. su nie nadaje się do tego celu, ponieważ może tylko wywołać powłokę użytkownika używając -c zamiast przekazywać indywidualnie argumenty dla polecenia do wykonania.

-Rplik_rules
    Budowanie pakietu Debiana zwykle wymaga wywołania debian/rules jako polecenia z kilkoma standardowymi parametrami. Używając tej opcji można podać wywołanie innego programu, który posłuży do zbudowania pakietu (może także zawierać dodatkowe parametry rozdzielone spacjami). Może być także użyta do wykonania standardowego pliku reguł z użyciem innego programu make (np. podając /usr/local/bin/make -f debian/rules jako plik_rules).

-ppolecenie-podpisywania
    Gdy dpkg-buildpackage będzie potrzebował wywołać GPG lub PGP aby podpisać plik kontrolny źródeł (.dsc) lub plik .changes, zostanie uruchomione polecenie-podpisywania (w razie konieczności przeszukując PATH) zamiast pgp. Parametry normalnie przekazywane do pgp zostaną przekazane do polecenia-podpisywania. Jeśli polecenie-podpisywania przyjmuje argumenty w stylu GPG zamiast atylu PGP, należy użyć opcji -sgpg. polecenie-podpisywania nie powinno zawierać spacji ani innych metaznaków powłoki.

-kid-klucza
    Określa ID klucza używanego do podpisywania pakietów.

-us Nie próbuje podpisywać pakietów.

-uc Nie próbuje podpisywać plików .changes.

-i[wyraż_regularne]
    Przekazywana bez zmian do dpkg-source.

-I[wzorzec]
    Przekazywana bez zmian do dpkg-source. Może być powtórzona wiele razy.

-s[nsAkurKUR]
    Przekazywana bez zmian do dpkg-source.

-z, -Z
    Przekazywana bez zmian do dpkg-source.

--admindir=katalog
    Zmienia położenie bazy danych dpkg. Domyślnie jest to /var/lib/dpkg.

-h, --help
    Wyświetla informację o użytkowaniu i kończy działanie.

--version
    Wyświetla informację o wersji i pomyślnie kończy działanie.

ŚRODOWISKO
Odpowiednie zmienne środowiska do określania opcji kompilatora i linkera są ustawiane na wartości domyślne, chyba że już są ustawione w środowisku. Należy zauważyć, że ten mechanizm został wprowadzony dopiero w wersji 1.14.17 dpkg-dev i jeszcze nie wszystkie pliki rules i narzędzia do budowania pakietów honorują te zmienne.

CFLAGS
    Opcje optymalizacji, które są przekazywane do systemu budowania Debiana i mogą/powinny być nadpisane przy budowaniu pakietu jeśli jest to potrzebne (wartość domyślna: -g -O2, lub -g -O0 jeśli opcja noopt jest podana w DEB_BUILD_OPTIONS). Nadpisywanie opcji może być użyte w celu ustawienia wyższego poziomu optymalizacji lub radzenia sobie z błędami kompilatora, które pojawiają się przy niektórych poziomach optymalizacji (poziom określony w ostatniej opcji "zwycięża").

CFLAGS_APPEND
    Opcje optymalizacji dodawane do flag kompilatora, które nie mogą być nadpisane przez pakiet (głównie używane dla testów budowania). Wartość domyślna: puste.

CXXFLAGS
    To samo co CFLAGS dla źródeł C++.

CXXFLAGS_APPEND
    To samo co CFLAGS_APPEND dla źródeł C++.

FFLAGS
    To samo co CFLAGS dla źródeł w Fortranie.

FFLAGS_APPEND
    To samo co CFLAGS_APPEND dla źródeł w Fortranie.

CPPFLAGS
    Flagi preprocesora, które są przekazywane do systemu budowania Debiana i mogą/powinny być nadpisane przy budowaniu pakietu jeśli jest to potrzebne (wartość domyślna: puste). To makro jest rzadko stosowane (większość systemów budowania używa po prostu CFLAGS zamiast CPPFLAGS).

CPPFLAGS_APPEND
    Flagi dodawane do flag preprocesora, które nie mogą być nadpisane przez pakiet (głównie używane dla testów budowania). Wartość domyślna: puste.

LDFLAGS
    Opcje przekazywane do kompilatora podczas łączenia plików wykonywalnych lub współdzielonych bibliotek (jeśli linker jest wywoływany bezpośrednio, -Wl i , muszą być usunięte z tych opcji). Wartość domyślna: puste.

LDFLAGS_APPEND
    Opcje optymalizacji dodawane do flag kompilatora podczas łączenia kodu, które nie mogą być nadpisane przez pakiet (głównie używane dla testów budowania). Wartość domyślna: puste.

BŁĘDY
Powinno być możliwe podanie spacji, metaznaków powłoki oraz argumentów dla gain-root-command oraz sign-command.

ZOBACZ TAKŻE
dpkg-source(1), dpkg-architecture(1), dpkg-genchanges(1), gpg(1), pgp(1).

AUTORZY
Copyright (C) 1995-1996 Ian Jackson
Copyright (C) 2000 Wichert Akkerman
Copyright (C) 2007 Frank Lichtenheld

Niniejszy program jest oprogramowaniem wolnym, sprawdź Powszechną Licencję Publiczną GNU w wersji drugiej lub późniejszej, by dowiedzieć się o warunkach dystrybucji. Brak JAKIEJKOLWIEK gwarancji.

TŁUMACZE
Piotr Roszatycki <dexter@debian.org>, 1999
Bartosz Feński <fenio@debian.org>, 2004-2005
Robert Luberda <robert@debian.org>, 2006-2008
Wiktor Wandachowicz <siryes@gmail.com>, 2008